{% extends 'base.html.twig' %}

{% block title %}Courses page{% endblock %}

{# В списке курсов выводим название (ссылкой на страницу курса) и описание.
В конце списка ссылку на добавления нового курса #}
{% block body %}
    <section class="text-center container">
        <div class="row py-lg-3">
            <div class="col-lg-6 col-md-8 mx-auto">
                <h1 class="fw-light">Courses</h1>
                <p>
                    <a href="{{ path('course_new') }}" class="btn btn-secondary my-2">Create new</a>
                </p>
            </div>
        </div>
    </section>

    <div class="album py-5 bg-light">
        <div class="container">
            <div class="row row-cols-1 row-cols-sm-2 row-cols-md-3 g-3">
                {% for row in courses|batch(4) %}
                    {% for course in row %}
                        <div class="col">
                            <div class="card shadow-sm">
                                <div class="card-title">
                                    <h4 class="font-weight-light">
                                        <a href="{{ path('course_show', {'id': course.id}) }}">{{ course.name }}</a>
                                    </h4>
                                </div>
                                <div class="card-body">
                                    <p class="card-text">
                                        {{ course.description }}
                                    </p>
                                </div>
                            </div>
                        </div>
                    {% endfor %}
                {% endfor %}
            </div>
        </div>
    </div>
{% endblock %}